<template>
  <div>
    <header>
      <div class="header-inner">
        <div class="brand">FASCO</div>
        <nav>
          <a href="#" class="nav-item">Home</a>
          <a href="#" class="nav-item">Deals</a>
          <a href="#" class="nav-item">New Arrivals</a>
          <a href="#" class="nav-item">Packages</a>
          <a href="#" class="nav-item">Sign in</a>
          <a href="#" class="nav-item signup-btn">Sign Up</a>
        </nav>
      </div>
    </header>
    
    <section class="intro-section">
      <div class="intro-left">
        <div class="image-container">
          <!-- <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/0223c8c4c8ed0ffe4a8f64296a856905a82aedd9bfc99622fdf93e96aff66e9b?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&" alt="Fashion item" class="main-img" />
          <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/874f97a3f74f0ea1d6b0a130d8b4b76625c7b74e9cf24288c59ca0da5d76e7de?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&" alt="Fashion accessory" class="secondary-img" /> -->
        </div>
      </div>
      <div class="intro-center">
        <!-- <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/fef4453c813d96cfaa86daeb058e4d6e152a6e2afb04ba4a8892acd19108548b?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&" alt="Ultimate Sale" class="ultimate-sale-img" /> -->
        <div class="ultimate-sale-text">ULTIMATE</div>
        <div class="ultimate-sale-text">SALE</div>
        <div class="new-collection-text">NEW COLLECTION</div>
        <button class="shop-now-btn">SHOP NOW</button>
        <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/bbe74479d7eb9864852a1bc0118aabfb0dcf74110957b415b19fc607d210f166?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&" alt="Shop now" class="shop-now-img" />
      </div>
      <div class="intro-right">
        <div class="image-container">
          <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/7deca29d390bc370ea8af844adf6ac30207a2cf9f31d349c9328ea6a703fc8f3?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&" alt="Fashion item" class="main-img" />
          <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/9b87d1d6be64e0f5b70dd0f1ce5e5d927baa186beb21abe29ea273e41076f08e?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&" alt="Fashion accessory" class="secondary-img" />
        </div>
      </div>
    </section>

    <footer class="footer-inner">
      <div class="brand">FASCO</div>
      <nav>
        <a href="#" class="footer-link">Support Center</a>
        <a href="#" class="footer-link">Invoicing</a>
        <a href="#" class="footer-link">Contract</a>
        <a href="#" class="footer-link">Careers</a>
        <a href="#" class="footer-link">Blog</a>
        <a href="#" class="footer-link">FAQs</a>
      </nav>
      <div class="footer-bottom">
        <p>Copyright © 2022 Xpro. All Rights Reserved.</p>
      </div>
    </footer>
  </div>
</template>

<style scoped>
body {
  margin: 0;
  font-family: 'Poppins', sans-serif;
}

.header-inner {
  background-color: #fff;
  display: flex;
  justify-content: space-between;
  padding: 20px 50px;
}

.brand {
  font-size: 2rem;
}

.nav-item {
  margin: 0 15px;
  text-decoration: none;
  color: #484848;
}

.signup-btn {
  background-color: #000;
  color: #fff;
  padding: 10px 20px;
  border-radius: 5px;
}

.intro-section {
  display: flex;
  padding: 70px 50px;
  background-color: #fafafa;
}

.intro-left, .intro-center, .intro-right {
  flex: 1;
}

.image-container {
  position: relative;
}

.main-img {
  width: 100%;
}

.secondary-img {
  position: absolute;
  top: 10px;
  right: 10px;
  width: 50%;
}

.ultimate-sale-img {
  width: 100%;
  max-height: 500px;
  object-fit: cover;
}

.ultimate-sale-text {
  font-size: 5rem;
  text-align: center;
}

.new-collection-text {
  font-size: 2rem;
  text-align: center;
  margin: 20px 0;
}

.shop-now-btn {
  display: block;
  margin: 20px auto;
  padding: 10px 20px;
  background-color: #000;
  color: #fff;
  border: none;
  border-radius: 5px;
}

.shop-now-img {
  width: 100%;
  margin-top: 20px;
}

.footer-inner {
  background-color: #f0f0f0;
  padding: 20px 50px;
}

.footer-link {
  margin: 0 15px;
  text-decoration: none;
  color: #484848;
}

.footer-bottom {
  text-align: center;
  margin-top: 20px;
}
</style>